Class ChatRequestBody.InvalidRequestException
java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.codelibs.fess.api.v2.handlers.ChatRequestBody.InvalidRequestException
- All Implemented Interfaces:
Serializable
- Direct Known Subclasses:
ChatRequestBody.InvalidSessionIdException,ChatRequestBody.MessageTooLongException,ChatRequestBody.TooManyValuesException
- Enclosing class:
ChatRequestBody
Base for chat request body validation errors that map to HTTP 400.
- See Also:
-
Constructor Summary
ConstructorsConstructorDescriptionCreates a new exception describing the validation violation. -
Method Summary
Methods inherited from class java.lang.Throwable
addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString
-
Constructor Details
-
InvalidRequestException
Creates a new exception describing the validation violation.- Parameters:
m- the developer-facing detail message
-